Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# ipe::PsPainter Class Reference

`#include <ipepswriter.h>`

Inherits ipe::PdfPainter.

List of all members.

## Public Member Functions

- PsPainter (const Cascade *style, Stream &stream)
- ~PsPainter ()

## Protected Member Functions

- virtual void doNewPath ()
- virtual void doDrawPath (TPathMode mode)
- virtual void doDrawBitmap (Bitmap bitmap)
- virtual void doAddClipPath ()

## Constructor & Destructor Documentation

PsPainter::PsPainter | ( | const Cascade * | style,
|  | Stream & | stream
| ) |  |

PsPainter::~PsPainter | ( |  | ) |

## Member Function Documentation

void PsPainter::doNewPath | ( |  | ) | `[protected, virtual]`

Perform new path operator.

Reimplemented from ipe::PdfPainter.

void PsPainter::doDrawPath | ( | TPathMode | mode | ) | `[protected, virtual]`

Actually draw the path.

Reimplemented from ipe::PdfPainter.

void PsPainter::doDrawBitmap | ( | Bitmap | bitmap | ) | `[protected, virtual]`

Draw a bitmap.

Reimplemented from ipe::PdfPainter.

void PsPainter::doAddClipPath | ( |  | ) | `[protected, virtual]`

Add a clip path.

Reimplemented from ipe::PdfPainter.

The documentation for this class was generated from the following files:

- ipepswriter.h
- ipepswriter.cpp